package org.apache.bcel.verifier.structurals;

import java.util.ArrayList;
import org.apache.bcel.generic.InstructionHandle;

public interface InstructionContext {
   boolean execute(Frame var1, ArrayList<InstructionContext> var2, InstConstraintVisitor var3, ExecutionVisitor var4);

   ExceptionHandler[] getExceptionHandlers();

   Frame getInFrame();

   InstructionHandle getInstruction();

   Frame getOutFrame(ArrayList<InstructionContext> var1);

   InstructionContext[] getSuccessors();

   int getTag();

   void setTag(int var1);
}
